org.apache.ignite.spi.systemview.view

## Class SqlTableColumnView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlTableColumnView

-     public class SqlTableColumnView
      extends Object

  Sql table column representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlTableColumnView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl, org.h2.table.Column col)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `affinityColumn()`
    `boolean` | `autoIncrement()`
    `String` | `columnName()`
    `String` | `defaultValue()`
    `boolean` | `nullable()`
    `boolean` | `pk()`
    `int` | `precision()`
    `int` | `scale()`
    `String` | `schemaName()`
    `String` | `tableName()`
    `Class<?>` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlTableColumnView

          public SqlTableColumnView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl,
                                    org.h2.table.Column col)

      Parameters:
        `tbl` - Table.
        `col` - Column.

  - ### Method Detail

    - #### columnName

          public String columnName()

      Returns:
        Column name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns:
        Table name.

    - #### type

          public Class<?> type()

      Returns:
        Field data type.

    - #### defaultValue

          public String defaultValue()

      Returns:
        Field default.

    - #### precision

          public int precision()

      Returns:
        Precision.

    - #### scale

          public int scale()

      Returns:
        Scale.

    - #### nullable

          public boolean nullable()

      Returns:
        `True` if nullable field.

    - #### pk

          public boolean pk()

      Returns:
        `True` if primary key.

    - #### autoIncrement

          public boolean autoIncrement()

      Returns:
        `True` if autoincremented field.

    - #### affinityColumn

          public boolean affinityColumn()

      Returns:
        `True` if autoincremented field.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022